package roseindia;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Restrictions;

import roseindia.bean.User;
import roseindia.util.HibernateUtil;


public class Criteria_Restrictions_Ex_Main {

	
	public static void main(String[] args) {

		
		Session session = HibernateUtil.getSessionFactory().openSession();
		
		User user=null;
		
		try {
			// Creating a Criteria instance
			
			Criteria crit = session.createCriteria(User.class);
			crit.setMaxResults(10);
			List users = crit.list();
			
			System.out.println("NO of Users= " +users.size());
			
			// Narrowing the result set
		  
			users = session.createCriteria(User.class)
		    .add( Restrictions.like("empName", "gyan%") )
		    .add( Restrictions.between("expInMonth", 10, 20))
		    .list(); 
			System.out.println("users= " +users);
			System.out.println("Size= " +users.size());
			
							
		} catch (HibernateException e) {
			
			e.printStackTrace();
		} finally {
			session.close();
		}	

	}

}
